Page MenuHomePhabricator

"Other statements on a catamaran": Add/edit/view all statements on File Page (and UW?)
Closed, ResolvedPublic

Event Timeline

Abit added a subscriber: Abit.Feb 5 2019, 7:31 PM
Ramsey-WMF triaged this task as High priority.Feb 5 2019, 9:32 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.

'Other statements' are essential to describing files on Commons. Many pieces of metadata of a file on Commons must be modelled separately and it would be incorrect to list them as qualifiers for 'depicts' statements. See the current properties table maintained by the community, which mostly lists 'other properties' that will live outside Depicts. Copyright status of a file is a major one!

I'm worried about separating deployment of this from Depicts, as I think separate deployments may introduce confusion - and wrong data modelling, which will need to be fixed afterwards. Also, the GLAM pilot projects I'm mentoring (T189501: [Story] GLAM pilot projects and case studies for Structured Data on Wikimedia Commons) are quite dependent on other statements.

When do we think other statements will be deployed in relation to Depicts?

@SandraF_WMF I don't really see why separate deployments would result in confusion. Our preference is to deploy individual pieces of functionality as they're done, so we can get feedback earlier, rather than waiting for everything to be ready at once

Hm... In interactions with community members - including around the GLAM pilot projects - I have noticed that the earlier separate deployment of Captions has introduced a lot of confusion, including about its purpose and its relation to 'other structured data' which is still a mystery to most people... I've actually spent quite a bit of time behind the scenes in the past weeks answering people's confused questions.

We have to keep in mind that the majority of the Commons community does not follow our project very closely, takes every new feature at face value and responds to it as if it's THE thing they will have to live with from then on.

When we deploy Depicts separately and before other statements, I predict that 1. many community members will presume that this *is* everything SDC is about and 2. many community members will eagerly start (wrongly) filling the Depicts statement with structured data that does not belong there. And then, several weeks later (?), with deployment of 'other statements', we will get backlash.

But I will happily be corrected by other community members, or receive tips on how we can better communicate separate deployment in order to minimize the confusion.

Pinging a few currently quite active community folks @Multichill @Jarekt @JeanFred because they might have opinions.

Cparle added a subscriber: Keegan.Feb 11 2019, 2:52 PM
Ramsey-WMF closed this task as Resolved.Aug 8 2019, 11:17 PM
Ramsey-WMF claimed this task.
Ramsey-WMF added a subscriber: Ramsey-WMF.

Launched other statements in late July, with just a few input types remaining to be deployed in the near future (time, geocoordinate, etc.)